<?php
   require_once "../lib/artichow/Pie.class.php";
  //Version de PHP :
  //$versionPHP=PHP_VERSION;
  //$versionPHP=substr($versionPHP,0,1);
  // On récupère les valeurs à afficher sur le graphique dans $_GET['values'] et on les désérialize
  
  $titre=urldecode($_GET['titre'])." en pourcentage";
  $index = explode(',',urldecode($_GET['index']));
  $nombre=explode(',',urldecode($_GET['nombre']));	
  $values=array();
  for ($i=0;$i<count($index);$i++) {
	$values[$index[$i]]=$nombre[$i];
	}
   
  $graph = new Graph(800, 600);
  
  $graph->shadow->setPosition(SHADOW_RIGHT_BOTTOM);
  $graph->shadow->setSize(4);
    
  // ... et d'un joli fond.
  $graph->setBackgroundGradient(
	new LinearGradient(
		new Color(210, 210, 210, 0),
		new White,0) );
  $pie = new Pie(array_values($values));
  // Affiche les pourcentages avec une précision d'un dixième.
  $pie->setLabelPrecision(1);
  // Ajout de la légende
  $pie->setLegend(array_keys($values));
  // Repositionnement de la légende
  $pie->legend->setPosition(1.60, .35);
  // Décalage du camembert sur la gauche et vers le bas
  $pie->setCenter(.32, .58);
  // Redimensionnement du camembert, taille relative à l'objet Graph le contenant.
  $pie->setSize(.55, .55);
  // Ajout d'un petit effet 3D; la valeur est donnée en pixel.
  $pie->set3D(6);
  // Ajout d'un titre...
  $pie->title->set($titre);
  // ... repositionnement...
  $pie->title->move(40, -100);
  // ... et embellissement.
  $pie->title->setFont(new TuffyBold(14));
  $pie->title->setBackgroundColor(new White(50));
  $pie->title->setPadding(5, 5, 2, 2);
  $pie->title->border->setColor(new Black());
  
  $graph->add($pie);

  $graph->draw();

?>
